Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng.wire.version19

# Class V19WireOperations

java.lang.Object
org.firebirdsql.gds.ng.wire.AbstractWireOperations
org.firebirdsql.gds.ng.wire.version10.V10WireOperations
org.firebirdsql.gds.ng.wire.version11.V11WireOperations
org.firebirdsql.gds.ng.wire.version13.V13WireOperations
org.firebirdsql.gds.ng.wire.version15.V15WireOperations
org.firebirdsql.gds.ng.wire.version16.V16WireOperations
org.firebirdsql.gds.ng.wire.version18.V18WireOperations
org.firebirdsql.gds.ng.wire.version19.V19WireOperations

All Implemented Interfaces:
  `FbWireOperations`

public class V19WireOperations extends V18WireOperations

Since:
  6.0.2
Author:
  Mark Rotteveel

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.firebirdsql.gds.ng.wire.FbWireOperations

  `FbWireOperations.ProcessAttachCallback`

- ## Field Summary

  ### Fields inherited from class org.firebirdsql.gds.ng.wire.version16.V16WireOperations

  `BATCH_LIMIT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `V19WireOperations(WireConnection<?,?> connection, WarningMessageCallback defaultWarningMessageCallback)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected InlineBlobResponse`
  `readInlineBlobResponse(XdrInputStream xdrIn)`
  Reads the inline blob response (`op_inline_blob`) without reading the operation code itself.

  ### Methods inherited from class org.firebirdsql.gds.ng.wire.version18.V18WireOperations

  `getBatchSyncOperation`

  ### Methods inherited from class org.firebirdsql.gds.ng.wire.version16.V16WireOperations

  `afterEnqueueDeferredAction, afterProcessDeferredActions, completeDeferredActions, readBatchCompletionResponse`

  ### Methods inherited from class org.firebirdsql.gds.ng.wire.version15.V15WireOperations

  `readCryptKeyCallback, writeCryptKeyCallback`

  ### Methods inherited from class org.firebirdsql.gds.ng.wire.version13.V13WireOperations

  `authReceiveResponse, enableEncryption, handleCryptKeyCallback`

  ### Methods inherited from class org.firebirdsql.gds.ng.wire.version11.V11WireOperations

  `completeDeferredActionsRequiresSync, deferredActionCount, enqueueDeferredAction, processDeferredActions`

  ### Methods inherited from class org.firebirdsql.gds.ng.wire.AbstractWireOperations

  `addServerKeys, clearServerKeys, consumePackets, getAttachProperties, getClientAuthBlock, getConnection, getDefaultWarningMessageCallback, getEncoding, getPluginSpecificData, getXdrIn, getXdrOut, getXdrStreamAccess, processOperation, processResponse, processResponseWarnings, readGenericResponse, readNextOperation, readOperationResponse, readResponse, readSqlResponse, readStatusVector, readStatusVector, setNetworkTimeout, withLock, writeDirect`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### V19WireOperations

    public V19WireOperations(WireConnection<?,?> connection, WarningMessageCallback defaultWarningMessageCallback)

- ## Method Details

  - ### readInlineBlobResponse

    protected InlineBlobResponse readInlineBlobResponse(XdrInputStream xdrIn) throws SQLException, IOException
    Description copied from class: `AbstractWireOperations`
    Reads the inline blob response (`op_inline_blob`) without reading the operation code itself.
    Overrides:
      `readInlineBlobResponse` in class `AbstractWireOperations`
    Parameters:
      `xdrIn` - XDR input stream to read
    Returns:
      inline blob response
    Throws:
      `SQLException` - for errors reading the response from the connection
      `SQLFeatureNotSupportedException` - when the protocol version does not support this response
      `IOException` - for errors reading the response from the connection